﻿// -----------------------------------------------------------------------
// <copyright file="ChannelViewModel.cs" company="M&M">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace ComboEditorInXamDataGrid.ViewModels
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Collections.ObjectModel;

    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class ChannelViewModel:ViewModelBase
    {
        
        private string _name;
        private string _description;
        private string _selectedChannelType;
        private List<ChannelType> _availableChannelTypes; 

        public ChannelViewModel(string name, string descrtiption, string selectedChannelType,List<ChannelType> availableChannelTypes)
        {
            this._name = name;
            this._description = descrtiption;
            this._selectedChannelType = selectedChannelType;
            this._availableChannelTypes = availableChannelTypes;
        }

        public string Name
        {
            get { return this._name; }
        }

        public string Description
        {
            get { return this._description; }
        }

        public string SelectedChannelType
        {
            get
            {
                return this._selectedChannelType;
            }

            set
            {
                this._selectedChannelType = value;
                OnPropertyChanged("SelectedChannelType");
            }
        }

        public List<ChannelType> AvailableChannelTypes
        {
            get { return this._availableChannelTypes; }
            set
            {
                _availableChannelTypes = value;
                OnPropertyChanged("AvailableChannelTypes");
            }
        }
    }
}
